//////////////////////////////////////////////////////////////////////////////////////////
//																						//
//	"body_class.h"																		//	
//  This is the file containing the data to draw all the body parts of hangman.			//												
//  This seeming contains alot of data, but many of it is repeated throughout			//						
//																						//
//////////////////////////////////////////////////////////////////////////////////////////

#include <iostream>

using namespace std;

// Define the ascii drawing pieces for clarity
#define lineV		(char)179
#define lineH		(char)196
#define cornerTL	(char)218
#define cornerTR	(char)191
#define cornerBL	(char)192
#define cornerBR	(char)217
#define lineT180	(char)193
#define lineT270	(char)180
#define lineT		(char)194
#define lineCross	(char)197


// BODY class; holds info for our hangmans body

class BODY {

public:
	
	void DrawGallows();		// 7 lives to go...
	void DrawHead();		// 6 lives to go...
	void DrawBody();		// 5 lives to go...
	void DrawLeg1();		// 4 lives to go...
	void DrawLeg2();		// 3 lives to go...
	void DrawArm1();		// 2 life to go...
	void DrawArm2();		// Last life!
	void DrawDead();		// This ones pretty obvious! Game over!
	
} HangmanBody;				// Object called HangmanBody

void BODY::DrawGallows()
{
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH <<endl;
}

void BODY::DrawHead()
{
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;
}

void BODY::DrawBody()
{

	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;
}

void BODY::DrawLeg1()
{
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << cornerBR << endl;
	cout << "        "  << lineV << "            " << lineV << endl;
	cout << "        "  << lineV << "            " << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;
}

void BODY::DrawLeg2()
{ 
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "            " << lineV << "   " << lineV << endl;	
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;
}

void BODY::DrawArm1()
{
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "           " << cornerTL << lineH << lineH << lineT270 << endl;
	cout << "        "  << lineV << "           " << lineV << "  " << lineV  << endl;
	cout << "        "  << lineV << "           " << lineV << "  " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "            " << lineV << "   " <<lineV << endl;	
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;	
}

void BODY::DrawArm2()
{
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "           " << cornerTL << lineH << lineH << lineCross << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << lineV << "  " << lineV << "  " << lineV << endl;
	cout << "        "  << lineV << "           " << lineV << "  " << lineV << "  " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "            " << lineV << "   " <<lineV << endl;	
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;	
}

void BODY::DrawDead()
{
	cout << "        " << cornerTL << lineH << lineH << lineH  << lineH << lineH << lineH << lineH << lineH;
		cout << lineH << lineH << lineH << lineH << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << " " << lineV << "x x" << lineV << "   R.I.P" << endl;
	cout << "        "  << lineV << "           " << " " << lineV << " " << lineH << " " << lineV << endl;
	cout << "        "  << lineV << "           " << " " << cornerBL << lineH << lineT << lineH << cornerBR << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "           " << cornerTL << lineH << lineH << lineCross << lineH << lineH << cornerTR << endl;
	cout << "        "  << lineV << "           " << lineV << "  " << lineV << "  " << lineV << endl;
	cout << "        "  << lineV << "           " << lineV << "  " << lineV << "  " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "              " << lineV << endl;
	cout << "        "  << lineV << "            " << cornerTL << lineH << lineT180 << lineH << cornerTR << endl;
	cout << "        "  << lineV << "            " << lineV << "   " << lineV << endl;
	cout << "        "  << lineV << "            " << lineV << "   " <<lineV << endl;	
	cout << "        "  << lineV << endl;
	cout << "        "  << lineV << endl;
	cout << "     " << lineH << lineH << lineH << lineT180 << lineH << lineH << lineH << endl;	
}